react-native: Running first init project Error React-rncore: Command PhaseScriptExecution failed with a nonzero exit code

Description

I’m just trying to run a newly initialized React Native project.

React Native Version

0.72.5

Output of npx react-native info

System: OS: macOS 14.0 CPU: (8) arm64 Apple M2 Memory: 129.89 MB / 8.00 GB Shell: version: “5.9” path: /bin/zsh Binaries: Node: version: 18.12.1 path: ~/.nvm/versions/node/v18.12.1/bin/node Yarn: Not Found npm: version: 8.19.2 path: ~/.nvm/versions/node/v18.12.1/bin/npm Watchman: version: 2023.09.18.00 path: /opt/homebrew/bin/watchman Managers: CocoaPods: version: 1.13.0 path: /Users/fachrinfl/.rvm/gems/ruby-2.7.7/bin/pod SDKs: iOS SDK: Platforms: - DriverKit 23.0 - iOS 17.0 - macOS 14.0 - tvOS 17.0 - watchOS 10.0 Android SDK: Not Found IDEs: Android Studio: 2022.2 AI-222.4459.24.2221.9971841 Xcode: version: 15.0/15A240d path: /usr/bin/xcodebuild Languages: Java: version: 11.0.19 path: /opt/homebrew/opt/openjdk@11/bin/javac Ruby: version: 2.7.7 path: /Users/fachrinfl/.rvm/rubies/ruby-2.7.7/bin/ruby npmPackages: “@react-native-community/cli”: Not Found react: installed: 18.2.0 wanted: 18.2.0 react-native: installed: 0.72.5 wanted: 0.72.5 react-native-macos: Not Found npmGlobalPackages: “react-native”: Not Found Android: hermesEnabled: true newArchEnabled: false iOS: hermesEnabled: true newArchEnabled: false

Steps to reproduce

npx react-native init AwesomeProject xed -b ios Running via XCode

Snack, screenshot, or link to a repository

Screenshot 2023-10-01 at 16 53 46

About this issue

  • Original URL
  • State: open
  • Created 9 months ago
  • Reactions: 15
  • Comments: 87 (1 by maintainers)

Most upvoted comments

I encountered a similar issue on an existing project after I run brew upgrade on my mac, which updated Node version from 18.17.0 to 18.18.0. In the end the issue was that the ios/.xcode.env.local file that gets generated the first time you run pod install, had a hard coded path to the 18.17.0 Node version, which didn’t exist anymore. So fixing that file fixed the build. This doesn’t however explain why you would have this issue on a new project, but probably good idea to check what that file contains 🤔

Solved. In my case, the problem occurred if the parent folder names contained whitespaces. Removing whitespaces in folder names fixed the problem

Same issue here with Xcode 15.0.1 on macOS Sonoma.

In my case i solved it setting the correct path to the nodejs version that my project needs, i don’t know why but xcode was using another.

To do it i had to create the file .xcode.env.local inside my ios folder and set the next path NODE_BINARY=“/opt/homebrew/Cellar/node@16/16.20.2/bin/node”

Description

I’m just trying to run a newly initialized React Native project.

React Native Version

0.72.5

Output of npx react-native info

System: OS: macOS 14.0 CPU: (8) arm64 Apple M2 Memory: 129.89 MB / 8.00 GB Shell: version: “5.9” path: /bin/zsh Binaries: Node: version: 18.12.1 path: ~/.nvm/versions/node/v18.12.1/bin/node Yarn: Not Found npm: version: 8.19.2 path: ~/.nvm/versions/node/v18.12.1/bin/npm Watchman: version: 2023.09.18.00 path: /opt/homebrew/bin/watchman Managers: CocoaPods: version: 1.13.0 path: /Users/fachrinfl/.rvm/gems/ruby-2.7.7/bin/pod SDKs: iOS SDK: Platforms: - DriverKit 23.0 - iOS 17.0 - macOS 14.0 - tvOS 17.0 - watchOS 10.0 Android SDK: Not Found IDEs: Android Studio: 2022.2 AI-222.4459.24.2221.9971841 Xcode: version: 15.0/15A240d path: /usr/bin/xcodebuild Languages: Java: version: 11.0.19 path: /opt/homebrew/opt/openjdk@11/bin/javac Ruby: version: 2.7.7 path: /Users/fachrinfl/.rvm/rubies/ruby-2.7.7/bin/ruby npmPackages: “@react-native-community/cli”: Not Found react: installed: 18.2.0 wanted: 18.2.0 react-native: installed: 0.72.5 wanted: 0.72.5 react-native-macos: Not Found npmGlobalPackages: “react-native”: Not Found Android: hermesEnabled: true newArchEnabled: false iOS: hermesEnabled: true newArchEnabled: false

Steps to reproduce

npx react-native init AwesomeProject xed -b ios Running via XCode

Snack, screenshot, or link to a repository

Screenshot 2023-10-01 at 16 53 46

solution. There should be no empty space in the names of folders managing the project. and worked for me

Description

I’m just trying to run a newly initialized React Native project.

React Native Version

0.72.5

Output of npx react-native info

System: OS: macOS 14.0 CPU: (8) arm64 Apple M2 Memory: 129.89 MB / 8.00 GB Shell: version: “5.9” path: /bin/zsh Binaries: Node: version: 18.12.1 path: ~/.nvm/versions/node/v18.12.1/bin/node Yarn: Not Found npm: version: 8.19.2 path: ~/.nvm/versions/node/v18.12.1/bin/npm Watchman: version: 2023.09.18.00 path: /opt/homebrew/bin/watchman Managers: CocoaPods: version: 1.13.0 path: /Users/fachrinfl/.rvm/gems/ruby-2.7.7/bin/pod SDKs: iOS SDK: Platforms: - DriverKit 23.0 - iOS 17.0 - macOS 14.0 - tvOS 17.0 - watchOS 10.0 Android SDK: Not Found IDEs: Android Studio: 2022.2 AI-222.4459.24.2221.9971841 Xcode: version: 15.0/15A240d path: /usr/bin/xcodebuild Languages: Java: version: 11.0.19 path: /opt/homebrew/opt/openjdk@11/bin/javac Ruby: version: 2.7.7 path: /Users/fachrinfl/.rvm/rubies/ruby-2.7.7/bin/ruby npmPackages: “@react-native-community/cli”: Not Found react: installed: 18.2.0 wanted: 18.2.0 react-native: installed: 0.72.5 wanted: 0.72.5 react-native-macos: Not Found npmGlobalPackages: “react-native”: Not Found Android: hermesEnabled: true newArchEnabled: false iOS: hermesEnabled: true newArchEnabled: false

Steps to reproduce

npx react-native init AwesomeProject xed -b ios Running via XCode

Snack, screenshot, or link to a repository

Screenshot 2023-10-01 at 16 53 46

me too has this error

Same thing here. I solved my issue by removing a whitespace in one of the parent folders

Had the same issue, fixed by setting the export NODE_BINARY="/opt/homebrew/bin/node" in .xcode.env.local

Path /opt/homebrew/bin/node is coming from which node command

I see in logs that some command from the script uses cp with invalid option

cp: invalid option -- 'X'
Command PhaseScriptExecution failed with a nonzero exit code

This option is present in native cp (/bin/cp), so the solution would be to patch

--- a/node_modules/react-native/scripts/react_native_pods_utils/script_phases.sh
+++ b/node_modules/react-native/scripts/react_native_pods_utils/script_phases.sh
@@ -104,7 +104,7 @@
     mkdir -p "$RCT_SCRIPT_OUTPUT_DIR"
 
     # Copy all output to output_dir
-    cp -R -X "$TEMP_OUTPUT_DIR/." "$RCT_SCRIPT_OUTPUT_DIR" || exit 1
+    /bin/cp -R -X "$TEMP_OUTPUT_DIR/." "$RCT_SCRIPT_OUTPUT_DIR" || exit 1
     echo "$LIBRARY_NAME output has been written to $RCT_SCRIPT_OUTPUT_DIR:" >> "${SCRIPT_OUTPUT_FILE_0}" 2>&1
     ls -1 "$RCT_SCRIPT_OUTPUT_DIR" >> "${SCRIPT_OUTPUT_FILE_0}" 2>&1
 }

I have M3 Pro Macbook Pro and the issue was due to whitespaces in the directory name. Make sure to remove whitespaces in the parent directories as well

Removing folder with white spaces fixed the problem for me as well. Why in the world. Does anyone know why this may be the case? This means XCode cannot handle white space folders currently?

I still have this problem and there are no white spaces in the name of the parent folder so it’s not really that.

I faced same issue and found that cp -R -X "$TEMP_OUTPUT_DIR/." "$RCT_SCRIPT_OUTPUT_DIR" || exit 1 https://github.com/facebook/react-native/blob/main/packages/react-native/scripts/react_native_pods_utils/script_phases.sh#L107 was failing due to cp: invalid option -- 'X'. I couldn’t find upper case -X option in cp command from gnu docs and also couldn’t find it in unix posix. So, this script needs to be updated to make it work for different cp commands from different platforms.

same issue i am suffering this problem last 10 days “React-rncore command phasescriptexecution failed with a nonzero exit code” system Mac m2 xcode version 15 react native version 0.72 note: properly working on Intel chipset mac

This commit fixed it for me: (rn 0.73.0)

https://github.com/facebook/react-native/commit/9f28616650a61ca298c2fc710b588445b8ceb94c

I was getting this back:

Command PhaseScriptExecution failed with a nonzero exit code


Node found at: /Users/stathis/.nvm/versions/node/v18.17.1/bin/node
+ DEST=/Users/stathis/Library/Developer/Xcode/DerivedData/xxxxxxxxxxj/Build/Products/Debug-iphoneos/xxxxxxxxx.app
+ [[ ! -n '' ]]
+ [[ Debug = *Debug* ]]
+ [[ ! iphoneos == *simulator ]]
+ for num in 0 1 2 3 4 5 6 7 8
++ ipconfig getifaddr en0
+ IP=
Command PhaseScriptExecution failed with a nonzero exit code

The IP= was empty so after running this on my terminal ipconfig getifaddr en0 it returned nothing while ipconfig getifaddr en1 returned my machine’s IP address. After visiting react-native/scripts/react-native-xcode.sh on this repo I found out about the commit mentioned above that fixed it for me.

Worth mentioning that the build error was happening only when building on real device, on simulator the build has no issues.

Same issue here with Xcode 15.0.1 on macOS Sonoma.

In my case i solved it setting the correct path to the nodejs version that my project needs, i don’t know why but xcode was using another.

To do it i had to create the file .xcode.env.local inside my ios folder and set the next path NODE_BINARY=“/opt/homebrew/Cellar/node@16/16.20.2/bin/node”

It works for me

Removing folder with white spaces fixed the problem for me as well. Why in the world. Does anyone know why this may be the case? This means XCode cannot handle white space folders currently?

In my case just solved by

  1. Deleting package-lock.json
  2. Deleting yarn.lock
  3. Deleting node_modules & Pods from ios folder
  4. Installing node_modules again.
  5. Adding Pods again, ie. npx pod-install
  6. Then running project by - npx react-native run-ios

hopefully worked

I am also facing the same issue. after running react-native run-ios it is showing PhaseScriptExecution failed with lots of error. If i scroll up to the top in the terminal I could see something like find: /Users/{user}/Library/Developer/Xcode/DerivedData/{projectname}-aaljqomuvoszdacrlntaoafplcyl/SourcePackages/artifacts: No such file or directory /bin/sh: : No such file or directory Command PhaseScriptExecution failed with a nonzero exit code

I am facing same issues.

Exact same issue here, using Xcode 15 (public version not beta) on macOS Sonoma. Tried both on 0.72.5 and 0.72.4. Also on an M2 chip.

Building and running the app still works fine with “react-native start” and fastlane, but when trying to build through Xcode this error keeps occurring after the update to Sonoma

System:
  OS: macOS 14.0
  CPU: (8) arm64 Apple M2
  Memory: 60.28 MB / 8.00 GB
  Shell:
    version: "5.9"
    path: /bin/zsh
Binaries:
  Node:
    version: 20.5.1
    path: /opt/homebrew/bin/node
  Yarn: Not Found
  npm:
    version: 10.1.0
    path: /opt/homebrew/bin/npm
  Watchman: Not Found
Managers:
  CocoaPods:
    version: 1.13.0
    path: /opt/homebrew/bin/pod
SDKs:
  iOS SDK:
    Platforms:
      - DriverKit 23.0
      - iOS 17.0
      - macOS 14.0
      - tvOS 17.0
      - watchOS 10.0
  Android SDK: Not Found
IDEs:
  Android Studio: Not Found
  Xcode:
    version: 15.0/15A240d
    path: /usr/bin/xcodebuild
Languages:
  Java:
    version: 17.0.8
    path: /usr/bin/javac
  Ruby:
    version: 3.2.2
    path: /opt/homebrew/bin/ruby
npmPackages:
  "@react-native-community/cli": Not Found
  react:
    installed: 18.2.0
    wanted: 18.2.0
  react-native:
    installed: 0.72.4
    wanted: 0.72.4
  react-native-macos: Not Found
npmGlobalPackages:
  "*react-native*": Not Found
Android:
  hermesEnabled: true
  newArchEnabled: false
iOS:
  hermesEnabled: true
  newArchEnabled: false

Had the same issue, fixed by setting the export NODE_BINARY="/opt/homebrew/bin/node" in .xcode.env.local

Path /opt/homebrew/bin/node is coming from which node command

Maybe good to know, I had the same path without the double routes (") after adding the " before and after it worked.

@swathycsv what’s status bro have you resolve issue ?

Bro Please do one think

Same, new project and crash

did you check you project name existing space or not ?

i have solution Please check you project name existing (blank space ) Please remove it

Solved. In my case, the problem occurred if the parent folder names contained whitespaces. Removing whitespaces in folder names fixed the problem

God damnit. You saved my life

My issue was related to coreutils. I remove it from my PATH and the app compiled.

@gomestai You made my day

I encountered a similar issue on an existing project after I run brew upgrade on my mac, which updated Node version from 18.17.0 to 18.18.0. In the end the issue was that the ios/.xcode.env.local file that gets generated the first time you run pod install, had a hard coded path to the 18.17.0 Node version, which didn’t exist anymore. So fixing that file fixed the build. This doesn’t however explain why you would have this issue on a new project, but probably good idea to check what that file contains 🤔

For me, I had to delete the file and rerun pod install to ‘fix’ it.

Thanks for the help!

Solved. In my case, the problem occurred if the parent folder names contained whitespaces. Removing whitespaces in folder names fixed the problem

after wasting around 24 hours. it solved finally

Thanks

Solved. In my case, the problem occurred if the parent folder names contained whitespaces. Removing whitespaces in folder names fixed the problem

thanks a lot!!!!!!

Solved. In my case, the problem occurred if the parent folder names contained whitespaces. Removing whitespaces in folder names fixed the problem

Its also work for me https://www.positioniseverything.net/command-phasescriptexecution-failed-with-a-nonzero-exit-code/ Thanks @gomestai

i cant still run the project @soutua after upgrading node version.